Bug 1315913 - Upgrade RHCS 1.3.1 to 1.3.2 doesn't upgrade gperftools-libs from 2.1 to 2.4
Upgrade RHCS 1.3.1 to 1.3.2 doesn't upgrade gperftools-libs from 2.1 to 2.4
Status: CLOSED NOTABUG
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS (Show other bugs)
1.3.2
x86_64 Linux
unspecified Severity low
: rc
: 2.0
Assigned To: Samuel Just
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 19:47 EST by Sheldon Mustard
Modified: 2017-07-30 11:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 10:40:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sheldon Mustard 2016-03-08 19:47:05 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Upgrade RHCS 1.3.1 to 1.3.2

The startup scripts are attempting to increase the size of the TCMalloc cache, but the version of TCM installed doesn’t correctly support resizing the cache.

The install should have upgrade gperftools-libs to 2.4 which supports the resize.

root     2960220       1  0 23:55 ?        00:00:00 /usr/bin/bash -c ulimit -n 131072; TCMALLOC_MAX_TOTAL_THREAD_CACHE_BYTES=128MB /usr/bin/ceph-mon -i cdc-005-001 --pid-file /var/run/ceph/mon.cdc-005-001.pid -c /etc/ceph/ceph.conf --cluster ceph -f


# yum info gperftools-libs
Loaded plugins: langpacks, product-id, rhnplugin, subscription-manager
This system is receiving updates from RHN Classic or Red Hat Satellite.
Installed Packages
Name        : gperftools-libs
Arch        : x86_64
Version     : 2.1
Release     : 1.el7cp
Size        : 1.4 M
Repo        : installed
From repo   : ceph-storage-7-x86_64
Summary     : Libraries provided by gperftools
URL         : http://code.google.com/p/gperftools/
License     : BSD
Description : Libraries provided by gperftools, including libtcmalloc and libprofiler.

Name        : gperftools-libs
Arch        : x86_64
Version     : 2.4
Release     : 7.el7
Size        : 273 k
Repo        : rhel-x86_64-server-7
Summary     : Libraries provided by gperftools
License     : BSD
Description : Libraries provided by gperftools, including libtcmalloc and lib profiler.
Comment 2 Ken Dreyer (Red Hat) 2016-03-08 23:21:10 EST
Please have the customer run "yum update" on their nodes.

If customers don't keep their operating systems up to date, they're going to have a bad time.
Comment 3 Samuel Just 2016-03-10 10:40:48 EST
Ken indicates that this isn't a problem with our packaging.

Note You need to log in before you can comment on or make changes to this bug.